Skip to main content

Update an existing CallingRuleConditionTemplate that can be used when creating calling rules in queing profiles

PUT 

/qsystem/rest/config/operationProfiles/workProfiles/callingRuleConditionTemplates/:callingRuleConditionTemplateId

Update an existing CallingRuleConditionTemplate that can be used when creating calling rules in queing profiles

curl -u user:password -i -X PUT -H 'content-type:application/json'
-d '{"id": 3,"description": "When custom time property is between ${from:Time} and ${to:Time}.","conditionClass": "com.qmatic.qp.jiql.core.cfm.ruleConditions.TimeBetweenEvaluator"}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/workProfiles/callingRuleConditionTemplates/55

Request​

Responses​

The CallingRuleConditionTemplate that has been created